#!/bin/bash
#  $HeadURL: https://svn.pasta.freemyip.com/main/fad/tags/7/tests/bin/FAD301_faddiff_corrupt_input.sh $ $LastChangedRevision: 10265 $
PROGNAME=`basename $0`
SANDPIT=`pwd`
. $(ade-config ade_share_prefix)/include/adetestsupport.sh

mkdir $SANDPIT/{root,scans}

echo "scanning ..."
( cd $SANDPIT/root && find . | mkfad ) > $SANDPIT/scans/scan.fad

echo "cloning scan results ..."
cp $SANDPIT/scans/scan.fad $SANDPIT/scans/clone.fad

echo "diffing ..."
( cd $SANDPIT/scans && faddiff scan.fad clone.fad )

echo "corrupting clone ..."
> $SANDPIT/scans/clone.fad

echo "diffing ..."
( cd $SANDPIT/scans && faddiff scan.fad clone.fad ) || echo "it failed, which is good"

echo "corrupting scan ..."
> $SANDPIT/scans/scan.fad

echo "diffing ..."
( cd $SANDPIT/scans && faddiff scan.fad clone.fad ) || echo "it failed, which is good"

echo "all done"
